<?php

namespace Company\CompanyStructure;

use DB;
use Illuminate\Database\Seeder;

class DepartmentRoleTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('department_roles')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'company_structure.department_role.view',
                'name'      => 'View DepartmentRole',
            ],
            [
                'slug'      => 'company_structure.department_role.create',
                'name'      => 'Create DepartmentRole',
            ],
            [
                'slug'      => 'company_structure.department_role.edit',
                'name'      => 'Update DepartmentRole',
            ],
            [
                'slug'      => 'company_structure.department_role.delete',
                'name'      => 'Delete DepartmentRole',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'company_structure.department_role.verify',
                'name'      => 'Verify DepartmentRole',
            ],
            [
                'slug'      => 'company_structure.department_role.approve',
                'name'      => 'Approve DepartmentRole',
            ],
            [
                'slug'      => 'company_structure.department_role.publish',
                'name'      => 'Publish DepartmentRole',
            ],
            [
                'slug'      => 'company_structure.department_role.unpublish',
                'name'      => 'Unpublish DepartmentRole',
            ],
            [
                'slug'      => 'company_structure.department_role.cancel',
                'name'      => 'Cancel DepartmentRole',
            ],
            [
                'slug'      => 'company_structure.department_role.archive',
                'name'      => 'Archive DepartmentRole',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/company_structure/department_role',
                'name'        => 'DepartmentRole',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/company_structure/department_role',
                'name'        => 'DepartmentRole',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'department_role',
                'name'        => 'DepartmentRole',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CompanyStructure',
                'module'    => 'DepartmentRole',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'company_structure.department_role.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
