<?php

namespace Company\CompanyStructure;

use DB;
use Illuminate\Database\Seeder;

class DepartmentTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('departments')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'company_structure.department.view',
                'name'      => 'View Department',
            ],
            [
                'slug'      => 'company_structure.department.create',
                'name'      => 'Create Department',
            ],
            [
                'slug'      => 'company_structure.department.edit',
                'name'      => 'Update Department',
            ],
            [
                'slug'      => 'company_structure.department.delete',
                'name'      => 'Delete Department',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'company_structure.department.verify',
                'name'      => 'Verify Department',
            ],
            [
                'slug'      => 'company_structure.department.approve',
                'name'      => 'Approve Department',
            ],
            [
                'slug'      => 'company_structure.department.publish',
                'name'      => 'Publish Department',
            ],
            [
                'slug'      => 'company_structure.department.unpublish',
                'name'      => 'Unpublish Department',
            ],
            [
                'slug'      => 'company_structure.department.cancel',
                'name'      => 'Cancel Department',
            ],
            [
                'slug'      => 'company_structure.department.archive',
                'name'      => 'Archive Department',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/company_structure/department',
                'name'        => 'Department',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/company_structure/department',
                'name'        => 'Department',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'department',
                'name'        => 'Department',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CompanyStructure',
                'module'    => 'Department',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'company_structure.department.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
