<?php

namespace Company\CompanyStructure;

use DB;
use Illuminate\Database\Seeder;

class EmployeesTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('employees')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'company_structure.employees.view',
                'name'      => 'View Employees',
            ],
            [
                'slug'      => 'company_structure.employees.create',
                'name'      => 'Create Employees',
            ],
            [
                'slug'      => 'company_structure.employees.edit',
                'name'      => 'Update Employees',
            ],
            [
                'slug'      => 'company_structure.employees.delete',
                'name'      => 'Delete Employees',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'company_structure.employees.verify',
                'name'      => 'Verify Employees',
            ],
            [
                'slug'      => 'company_structure.employees.approve',
                'name'      => 'Approve Employees',
            ],
            [
                'slug'      => 'company_structure.employees.publish',
                'name'      => 'Publish Employees',
            ],
            [
                'slug'      => 'company_structure.employees.unpublish',
                'name'      => 'Unpublish Employees',
            ],
            [
                'slug'      => 'company_structure.employees.cancel',
                'name'      => 'Cancel Employees',
            ],
            [
                'slug'      => 'company_structure.employees.archive',
                'name'      => 'Archive Employees',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/company_structure/employees',
                'name'        => 'Employees',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/company_structure/employees',
                'name'        => 'Employees',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'employees',
                'name'        => 'Employees',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CompanyStructure',
                'module'    => 'Employees',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'company_structure.employees.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
