<?php

namespace Company\CompanyStructure;

use DB;
use Illuminate\Database\Seeder;

class EquipmentTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('equipment')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'company_structure.equipment.view',
                'name'      => 'View Equipment',
            ],
            [
                'slug'      => 'company_structure.equipment.create',
                'name'      => 'Create Equipment',
            ],
            [
                'slug'      => 'company_structure.equipment.edit',
                'name'      => 'Update Equipment',
            ],
            [
                'slug'      => 'company_structure.equipment.delete',
                'name'      => 'Delete Equipment',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'company_structure.equipment.verify',
                'name'      => 'Verify Equipment',
            ],
            [
                'slug'      => 'company_structure.equipment.approve',
                'name'      => 'Approve Equipment',
            ],
            [
                'slug'      => 'company_structure.equipment.publish',
                'name'      => 'Publish Equipment',
            ],
            [
                'slug'      => 'company_structure.equipment.unpublish',
                'name'      => 'Unpublish Equipment',
            ],
            [
                'slug'      => 'company_structure.equipment.cancel',
                'name'      => 'Cancel Equipment',
            ],
            [
                'slug'      => 'company_structure.equipment.archive',
                'name'      => 'Archive Equipment',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/company_structure/equipment',
                'name'        => 'Equipment',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/company_structure/equipment',
                'name'        => 'Equipment',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'equipment',
                'name'        => 'Equipment',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CompanyStructure',
                'module'    => 'Equipment',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'company_structure.equipment.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
