<?php

namespace Company\CompanyStructure;

use DB;
use Illuminate\Database\Seeder;

class HallTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('halls')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'company_structure.hall.view',
                'name'      => 'View Hall',
            ],
            [
                'slug'      => 'company_structure.hall.create',
                'name'      => 'Create Hall',
            ],
            [
                'slug'      => 'company_structure.hall.edit',
                'name'      => 'Update Hall',
            ],
            [
                'slug'      => 'company_structure.hall.delete',
                'name'      => 'Delete Hall',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'company_structure.hall.verify',
                'name'      => 'Verify Hall',
            ],
            [
                'slug'      => 'company_structure.hall.approve',
                'name'      => 'Approve Hall',
            ],
            [
                'slug'      => 'company_structure.hall.publish',
                'name'      => 'Publish Hall',
            ],
            [
                'slug'      => 'company_structure.hall.unpublish',
                'name'      => 'Unpublish Hall',
            ],
            [
                'slug'      => 'company_structure.hall.cancel',
                'name'      => 'Cancel Hall',
            ],
            [
                'slug'      => 'company_structure.hall.archive',
                'name'      => 'Archive Hall',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/company_structure/hall',
                'name'        => 'Hall',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/company_structure/hall',
                'name'        => 'Hall',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'hall',
                'name'        => 'Hall',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CompanyStructure',
                'module'    => 'Hall',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'company_structure.hall.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
