<?php

namespace Company\CompanyStructure;

use DB;
use Illuminate\Database\Seeder;

class LineTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('lines')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'company_structure.line.view',
                'name'      => 'View Line',
            ],
            [
                'slug'      => 'company_structure.line.create',
                'name'      => 'Create Line',
            ],
            [
                'slug'      => 'company_structure.line.edit',
                'name'      => 'Update Line',
            ],
            [
                'slug'      => 'company_structure.line.delete',
                'name'      => 'Delete Line',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'company_structure.line.verify',
                'name'      => 'Verify Line',
            ],
            [
                'slug'      => 'company_structure.line.approve',
                'name'      => 'Approve Line',
            ],
            [
                'slug'      => 'company_structure.line.publish',
                'name'      => 'Publish Line',
            ],
            [
                'slug'      => 'company_structure.line.unpublish',
                'name'      => 'Unpublish Line',
            ],
            [
                'slug'      => 'company_structure.line.cancel',
                'name'      => 'Cancel Line',
            ],
            [
                'slug'      => 'company_structure.line.archive',
                'name'      => 'Archive Line',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/company_structure/line',
                'name'        => 'Line',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/company_structure/line',
                'name'        => 'Line',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'line',
                'name'        => 'Line',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CompanyStructure',
                'module'    => 'Line',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'company_structure.line.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
