<?php

namespace Company\CompanyStructure\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Hall policy
        'Company\CompanyStructure\Models\Hall' => \Company\CompanyStructure\Policies\HallPolicy::class,
// Bind Line policy
        'Company\CompanyStructure\Models\Line' => \Company\CompanyStructure\Policies\LinePolicy::class,
// Bind Equipment policy
        'Company\CompanyStructure\Models\Equipment' => \Company\CompanyStructure\Policies\EquipmentPolicy::class,
// Bind Department policy
        'Company\CompanyStructure\Models\Department' => \Company\CompanyStructure\Policies\DepartmentPolicy::class,
// Bind Employees policy
        'Company\CompanyStructure\Models\Employees' => \Company\CompanyStructure\Policies\EmployeesPolicy::class,
// Bind DepartmentRole policy
        'Company\CompanyStructure\Models\DepartmentRole' => \Company\CompanyStructure\Policies\DepartmentRolePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
