<?php

namespace Company\CompanyStructure\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DepartmentRoleTransformer extends TransformerAbstract
{
    public function transform(\Company\CompanyStructure\Models\DepartmentRole $department_role)
    {
        return [
            'id'                => $department_role->getRouteKey(),
            'key'               => [
                'public'    => $department_role->getPublicKey(),
                'route'     => $department_role->getRouteKey(),
            ], 
            'role name'         => $department_role->role name,
            'url'               => [
                'public'    => trans_url('company_structure/'.$department_role->getPublicKey()),
                'user'      => guard_url('company_structure/department_role/'.$department_role->getRouteKey()),
            ], 
            'status'            => trans('app.'.$department_role->status),
            'created_at'        => format_date($department_role->created_at),
            'updated_at'        => format_date($department_role->updated_at),
        ];
    }
}