<?php

namespace Company\CompanyStructure\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DepartmentTransformer extends TransformerAbstract
{
    public function transform(\Company\CompanyStructure\Models\Department $department)
    {
        return [
            'id'                => $department->getRouteKey(),
            'key'               => [
                'public'    => $department->getPublicKey(),
                'route'     => $department->getRouteKey(),
            ], 
            'name'              => $department->name,
            'url'               => [
                'public'    => trans_url('company_structure/'.$department->getPublicKey()),
                'user'      => guard_url('company_structure/department/'.$department->getRouteKey()),
            ], 
            'status'            => trans('app.'.$department->status),
            'created_at'        => format_date($department->created_at),
            'updated_at'        => format_date($department->updated_at),
        ];
    }
}