<?php

namespace Company\CompanyStructure\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmployeesTransformer extends TransformerAbstract
{
    public function transform(\Company\CompanyStructure\Models\Employees $employees)
    {
        return [
            'id'                => $employees->getRouteKey(),
            'key'               => [
                'public'    => $employees->getPublicKey(),
                'route'     => $employees->getRouteKey(),
            ], 
            'first_name'        => $employees->first_name,
            'last name'         => $employees->last name,
            'url'               => [
                'public'    => trans_url('company_structure/'.$employees->getPublicKey()),
                'user'      => guard_url('company_structure/employees/'.$employees->getRouteKey()),
            ], 
            'status'            => trans('app.'.$employees->status),
            'created_at'        => format_date($employees->created_at),
            'updated_at'        => format_date($employees->updated_at),
        ];
    }
}