<?php

namespace Company\CompanyStructure\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EquipmentTransformer extends TransformerAbstract
{
    public function transform(\Company\CompanyStructure\Models\Equipment $equipment)
    {
        return [
            'id'                => $equipment->getRouteKey(),
            'key'               => [
                'public'    => $equipment->getPublicKey(),
                'route'     => $equipment->getRouteKey(),
            ], 
            'line_id'           => $equipment->line_id,
            'url'               => [
                'public'    => trans_url('company_structure/'.$equipment->getPublicKey()),
                'user'      => guard_url('company_structure/equipment/'.$equipment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$equipment->status),
            'created_at'        => format_date($equipment->created_at),
            'updated_at'        => format_date($equipment->updated_at),
        ];
    }
}