<?php

namespace Company\CompanyStructure\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HallTransformer extends TransformerAbstract
{
    public function transform(\Company\CompanyStructure\Models\Hall $hall)
    {
        return [
            'id'                => $hall->getRouteKey(),
            'key'               => [
                'public'    => $hall->getPublicKey(),
                'route'     => $hall->getRouteKey(),
            ], 
            'title'             => $hall->title,
            'url'               => [
                'public'    => trans_url('company_structure/'.$hall->getPublicKey()),
                'user'      => guard_url('company_structure/hall/'.$hall->getRouteKey()),
            ], 
            'status'            => trans('app.'.$hall->status),
            'created_at'        => format_date($hall->created_at),
            'updated_at'        => format_date($hall->updated_at),
        ];
    }
}