<?php

namespace Company\CompanyStructure\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LineTransformer extends TransformerAbstract
{
    public function transform(\Company\CompanyStructure\Models\Line $line)
    {
        return [
            'id'                => $line->getRouteKey(),
            'key'               => [
                'public'    => $line->getPublicKey(),
                'route'     => $line->getRouteKey(),
            ], 
            'hall_id'           => $line->hall_id,
            'url'               => [
                'public'    => trans_url('company_structure/'.$line->getPublicKey()),
                'user'      => guard_url('company_structure/line/'.$line->getRouteKey()),
            ], 
            'status'            => trans('app.'.$line->status),
            'created_at'        => format_date($line->created_at),
            'updated_at'        => format_date($line->updated_at),
        ];
    }
}