<?php

namespace Company\CompanyStructure\Workflow;

use Company\CompanyStructure\Models\DepartmentRole;
use Company\CompanyStructure\Notifications\DepartmentRoleWorkflow as DepartmentRoleNotifyer;
use Notification;

class DepartmentRoleNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param DepartmentRole $department_role
     *
     * @return void
     */
    public function complete(DepartmentRole $department_role)
    {
        return Notification::send($department_role->user, new DepartmentRoleNotifyer($department_role, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param DepartmentRole $department_role
     *
     * @return void
     */
    public function verify(DepartmentRole $department_role)
    {
        return Notification::send($department_role->user, new DepartmentRoleNotifyer($department_role, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param DepartmentRole $department_role
     *
     * @return void
     */
    public function approve(DepartmentRole $department_role)
    {
        return Notification::send($department_role->user, new DepartmentRoleNotifyer($department_role, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param DepartmentRole $department_role
     *
     * @return void
     */
    public function publish(DepartmentRole $department_role)
    {
        return Notification::send($department_role->user, new DepartmentRoleNotifyer($department_role, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param DepartmentRole $department_role
     *
     * @return void
     */
    public function archive(DepartmentRole $department_role)
    {
        return Notification::send($department_role->user, new DepartmentRoleNotifyer($department_role, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param DepartmentRole $department_role
     *
     * @return void
     */
    public function unpublish(DepartmentRole $department_role)
    {
        return Notification::send($department_role->user, new DepartmentRoleNotifyer($department_role, 'unpublish'));;

    }
}
