<?php

namespace Company\CompanyStructure\Workflow;

use Company\CompanyStructure\Models\Employees;
use Company\CompanyStructure\Notifications\EmployeesWorkflow as EmployeesNotifyer;
use Notification;

class EmployeesNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Employees $employees
     *
     * @return void
     */
    public function complete(Employees $employees)
    {
        return Notification::send($employees->user, new EmployeesNotifyer($employees, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Employees $employees
     *
     * @return void
     */
    public function verify(Employees $employees)
    {
        return Notification::send($employees->user, new EmployeesNotifyer($employees, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Employees $employees
     *
     * @return void
     */
    public function approve(Employees $employees)
    {
        return Notification::send($employees->user, new EmployeesNotifyer($employees, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Employees $employees
     *
     * @return void
     */
    public function publish(Employees $employees)
    {
        return Notification::send($employees->user, new EmployeesNotifyer($employees, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Employees $employees
     *
     * @return void
     */
    public function archive(Employees $employees)
    {
        return Notification::send($employees->user, new EmployeesNotifyer($employees, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Employees $employees
     *
     * @return void
     */
    public function unpublish(Employees $employees)
    {
        return Notification::send($employees->user, new EmployeesNotifyer($employees, 'unpublish'));;

    }
}
