<?php

namespace Company\CompanyStructure\Workflow;

use Company\CompanyStructure\Models\Equipment;
use Company\CompanyStructure\Notifications\EquipmentWorkflow as EquipmentNotifyer;
use Notification;

class EquipmentNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Equipment $equipment
     *
     * @return void
     */
    public function complete(Equipment $equipment)
    {
        return Notification::send($equipment->user, new EquipmentNotifyer($equipment, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Equipment $equipment
     *
     * @return void
     */
    public function verify(Equipment $equipment)
    {
        return Notification::send($equipment->user, new EquipmentNotifyer($equipment, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Equipment $equipment
     *
     * @return void
     */
    public function approve(Equipment $equipment)
    {
        return Notification::send($equipment->user, new EquipmentNotifyer($equipment, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Equipment $equipment
     *
     * @return void
     */
    public function publish(Equipment $equipment)
    {
        return Notification::send($equipment->user, new EquipmentNotifyer($equipment, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Equipment $equipment
     *
     * @return void
     */
    public function archive(Equipment $equipment)
    {
        return Notification::send($equipment->user, new EquipmentNotifyer($equipment, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Equipment $equipment
     *
     * @return void
     */
    public function unpublish(Equipment $equipment)
    {
        return Notification::send($equipment->user, new EquipmentNotifyer($equipment, 'unpublish'));;

    }
}
