<?php

namespace Company\CompanyStructure\Workflow;

use Company\CompanyStructure\Models\Hall;
use Company\CompanyStructure\Notifications\HallWorkflow as HallNotifyer;
use Notification;

class HallNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Hall $hall
     *
     * @return void
     */
    public function complete(Hall $hall)
    {
        return Notification::send($hall->user, new HallNotifyer($hall, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Hall $hall
     *
     * @return void
     */
    public function verify(Hall $hall)
    {
        return Notification::send($hall->user, new HallNotifyer($hall, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Hall $hall
     *
     * @return void
     */
    public function approve(Hall $hall)
    {
        return Notification::send($hall->user, new HallNotifyer($hall, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Hall $hall
     *
     * @return void
     */
    public function publish(Hall $hall)
    {
        return Notification::send($hall->user, new HallNotifyer($hall, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Hall $hall
     *
     * @return void
     */
    public function archive(Hall $hall)
    {
        return Notification::send($hall->user, new HallNotifyer($hall, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Hall $hall
     *
     * @return void
     */
    public function unpublish(Hall $hall)
    {
        return Notification::send($hall->user, new HallNotifyer($hall, 'unpublish'));;

    }
}
