<?php

namespace Company\CompanyStructure\Workflow;

use Company\CompanyStructure\Models\Line;
use Company\CompanyStructure\Notifications\LineWorkflow as LineNotifyer;
use Notification;

class LineNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Line $line
     *
     * @return void
     */
    public function complete(Line $line)
    {
        return Notification::send($line->user, new LineNotifyer($line, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Line $line
     *
     * @return void
     */
    public function verify(Line $line)
    {
        return Notification::send($line->user, new LineNotifyer($line, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Line $line
     *
     * @return void
     */
    public function approve(Line $line)
    {
        return Notification::send($line->user, new LineNotifyer($line, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Line $line
     *
     * @return void
     */
    public function publish(Line $line)
    {
        return Notification::send($line->user, new LineNotifyer($line, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Line $line
     *
     * @return void
     */
    public function archive(Line $line)
    {
        return Notification::send($line->user, new LineNotifyer($line, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Line $line
     *
     * @return void
     */
    public function unpublish(Line $line)
    {
        return Notification::send($line->user, new LineNotifyer($line, 'unpublish'));;

    }
}
